Subject: Re: Bash completion Issue?

From: Shawn Pearce <[email-masked]>
Date: Sun, 5 Nov 2006 06:31:15 -0500

Alan Chandler <[email-masked]> wrote:
>  removing the git-completion package and copying the bash completion script 
> from /usr/share/doc/git-core/contrib/completion to /etc/bash_completion.d 
> solves the problem.  I am getting completion working fine now.

Good.  :-)

Let us know if there's anything you'd like to see in the bash
completion...  I just sent out two rounds of patches for it, but
certainly still have more work to do on it.

Completion of arguments to git aliases or commands like fetch and
push when --git-dir/--bare has been used is still a little buggy.

--